### org.jfree.layouting.input.style.parser

# Class CSSParserFactory

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.CSSParserFactory`

`public class CSSParserFactory`
`extends java.lang.Object`

Creates a new CSS parser by first looking for a specified parser in the libLayout configuration and if that fails, by using the W3C parser factory.

Author:
  Thomas Morgner

  ## Method Summary

  `Parser`

  `createCSSParser()`

  `static CSSParserFactory`

  `getInstance()`

## Method Details

### createCSSParser

    public Parser createCSSParser()
                throws CSSParserInstantiationException

### getInstance

    public static CSSParserFactory getInstance()